from __future__ import unicode_literals
from bs4 import BeautifulSoup
import json
import codecs

html = codecs.open("SFIAReference/SFIAReference.html", encoding="utf8")

source_soup = BeautifulSoup(html, 'html.parser')
source_lines = source_soup.find_all('span')

data = []

code_class_nums = [30, 34, 35, 36, 37, 38]

for code_class_num in code_class_nums:
    count = 0
    while count < len(source_lines):
        if 'class="cls_025"' in str(source_lines[count]) and 'class="cls_0%d"'%code_class_num in str(source_lines[count+1]):
            skill_name = source_lines[count].get_text()
            count += 1
            skill_code = source_lines[count].get_text().strip()
            skill_description = ''
            skill_levels = []
            count += 1
            while(count < len(source_lines) and 'class="cls_025"' not in str(source_lines[count])):
                while(count < len(source_lines) and 'class="cls_031"' in str(source_lines[count])):
                    skill_description = skill_description + source_lines[count].get_text() + " "
                    count += 1
                skill_description = skill_description.strip()
                
                if 'class="cls_008"' in str(source_lines[count]) and 'class="cls_006"' not in str(source_lines[count-1]) and 'class="cls_006"' not in str(source_lines[count+1]):
                    skill_level = int(source_lines[count].get_text())
                    level_description = ''
                    count += 1
                    while(count < len(source_lines) and 'class="cls_033"' in str(source_lines[count])):
                        level_description = level_description + source_lines[count].get_text() + " "
                        count += 1
                    level_description = level_description.strip()
                    skill_levels.append({'level':skill_level,
                                            'description': level_description})
                else:
                    count += 1
            
            data.append({
                    'name' : skill_name,
                    'code' : skill_code,
                    'description' : skill_description,
                    'levels' : skill_levels
            })
            
        else:
            count += 1
            
filename = "sfia_reference.json"

if filename:
    with open(filename, 'w', encoding="utf-8") as json_file:
        json.dump({'skills': data}, json_file, sort_keys=False, indent=4, separators=(',', ': '), ensure_ascii=False)
        
